/* the gmp3 project.
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com/gmp3
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// this will copy the filterlist of mainwindow to the filterlist in the filtereditor and then open the filterwindow
void dialog_rules_create(void);
/*
 * this will copy the actual filterlist to the filterlist in the mainwindow and then close the filterwindow.
 */
void dialog_rules_close(void);

/*
 * this will empty out the actual filterlist.
 */
void dialog_rules_clear(void);

/*
 * this will set all togglebuttons to not pressed.
 */
void dialog_rules_init(void);

/*
 * this will insert all selected rules to the filterlist.
 */
void dialog_rules_add(void);

/*
 * this will move all selected rules up one row (=increase its priority).
 */
void dialog_rules_up(void);

/*
 * this will move all selected rules down one row (=decrease its priority).
 */
void dialog_rules_down(void);

/*
 * this will remove all selected rules from filterlist.
 */
void dialog_rules_delete(void);


