/* the gmp3 project.
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com/gmp3
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <gnome.h>
#include "support.h"
#include "filelist.h"
#include "filelist_icon.h"
//#include "filelist_text.h"

void update_file_list (void)
{
	extern GtkWidget *gmp3;
	extern gchar *current_dir;

// Update filelist.
	update_file_iconlist (GNOME_ICON_LIST (lookup_widget (gmp3, "clist_gmp3_iconlist")), current_dir, ".mp3");
}


void select_file_list (void)
{
	extern GtkWidget *gmp3;
	GnomeIconList *gil;
	gint i=-1;
	
	gil=GNOME_ICON_LIST (lookup_widget (gmp3, _("clist_gmp3_iconlist")));
	while(++i < gil->icons)
	{
		gnome_icon_list_select_icon (gil,i);
	}
}
