/* the gmp3 project.
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com/gmp3
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <gnome.h>


void
on_button_rules_up_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_rules_down_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_rules_delete_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_rules_add_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_rules_clear_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_rules_save_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_rules_load_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_rules_back_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_gmp3_destroy                        (GtkObject       *object,
                                        gpointer         user_data);

void
on_button_gmp3_about_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_deltag_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_settag_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_ctree_gmp3_directories_select_row   (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_ctree_gmp3_directories_tree_expand  (GtkCTree        *ctree,
                                        GList           *node,
                                        gpointer         user_data);

void
on_clist_gmp3_iconlist_select_icon     (GnomeIconList   *gnomeiconlist,
                                        gint             arg1,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_clist_gmp3_queue_button_press_event (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_queue_remove_item_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_button_gmp3_filetotag_settag_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_queue_select_done_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gint
on_splash_timeout                      (gpointer         user_data);

void
on_queue_select_errors_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_entry_gmp3_filename_format_changed  (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_clist_gmp3_queue_select_row         (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_clist_gmp3_queue_click_column       (GtkCList        *clist,
                                        gint             column,
                                        gpointer         user_data);

void
on_button_about_gmp3_ok_clicked        (GtkObject       *object,
                                        gpointer         user_data);

gboolean
on_clist_gmp3_iconlist_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_filelist_rename_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_filelist_refresh_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_queue_rename_item_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_queue_select_todo_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_clist_gmp3_queue_key_press_event    (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_button_gmp3_files_add_recursive_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_clist_options_freedb_key_press_event
                                        (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_button_options_freedb_add_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_options_freedb_delete_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_options_freedb_up_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_options_freedb_down_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_check_options_freedb_proxy_toggled  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_check_options_freedb_http_toggled   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_button_options_cancel_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_options_ok_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_options_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_clearqueue_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_selectdir_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_addfiles_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_addrecursive_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_rename_editrules_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_rename_renamefiles_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_rename_preview_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_file2tag_settags_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_radio_options_freedb_mode_http_toggled
                                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_check_options_freedb_proxy_toggled  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_queue_preview_item_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ctree_gmp3_directories_tree_collapse
                                        (GtkCTree        *ctree,
                                        GList           *node,
                                        gpointer         user_data);

void
on_queue_invert_selection_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_queue_select_anytag_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_queue_select_notag_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_queue_select_id3v1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_queue_select_id3v2_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_entry_gmp3_file2tag_file_changed    (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_entry_gmp3_file2tag_directory_changed
                                        (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_button_gmp3_rename_file_cancel_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_rename_file_ok_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_entry_gmp3_rename_file_name_activate
                                        (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_button_gmp3_rename_directory_cancel_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_rename_directory_ok_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_entry_gmp3_rename_directory_name_activate
                                        (GtkEditable     *editable,
                                        gpointer         user_data);

gboolean
on_ctree_gmp3_directories_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_popup_gmp3_dirtree_rename_directory_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_button_gmp3_findandlists_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_gmp3_help_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_custom_find_cancel_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_custom_find_find_clicked     (GtkButton       *button,
                                        gpointer         user_data);
