typedef struct FoundRow_s
{
	gchar directory[2048];
	gchar filename[1024];
	gulong filesize;
	gchar owner[512];
	gchar mode[5];
	gchar artist[1024];
	gchar song[1024];
	gchar album[1024];
	guint track;
	guchar genre;
	gchar year[5];
	guint seconds;
} FoundRow;
	
	
GList *custom_find_find(gchar *dir);

gboolean has_tag(gchar *filename);
gboolean has_v1tag(gchar *filename);
gboolean has_v2tag(gchar *filename);
gboolean has_empty_v1tag(gchar *filename);
gboolean has_empty_v2tag(gchar *filename);
gboolean is_similar(gchar *string1, gchar *string2, gint tolerance);

