/* the gmp3 project.
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com/gmp3
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "tag.h"

typedef struct id3v1Tag_s
{
	gchar title[30];
	gchar artist[30];
	gchar album[30];
	gchar year[4];
	gchar comment[30];
	guchar genre;
} id3v1Tag;

extern int get_id3v1_tag(id3Tag *tag, gchar *filename);
extern int set_id3v1_tag(id3Tag *tag, gchar *filename);
extern int del_id3v1_tag(gchar *filename);
