/* the gmp3 project.
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com/gmp3
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * This file includes often needed functions for stackhandling and for looking up an gtk-widget
 */
typedef struct Stack_d Stack;
struct Stack_d
{
	gchar *data[30000];
	gint count;
};

/*
 * This will allocate space and store the location of this space in the stack variable
 */
extern void mem_init (Stack * memstack);

/*
 * This will allocate space and store the location of this space in the stack variable
 */
extern gpointer mem_allocate (Stack * memstack);

/*
 * This free all the space allocated in the stack variable
 */
extern void mem_free (Stack * memstack);

/*
 * This will store the address of the given pointer in a stack
 */
gpointer
mem_push (Stack * memstack, gpointer pointer);
